package com.chenyang.nse.bussiness.entity.vo;

import java.util.List;

public class TableInfo {
   String columnName;
   String sensitiveLevel;
   String dataAreaName;
   List<Scope> scopes;
   String isAuto;

   public String getColumnName() {
      return this.columnName;
   }

   public String getSensitiveLevel() {
      return this.sensitiveLevel;
   }

   public String getDataAreaName() {
      return this.dataAreaName;
   }

   public List<Scope> getScopes() {
      return this.scopes;
   }

   public String getIsAuto() {
      return this.isAuto;
   }

   public void setColumnName(final String columnName) {
      this.columnName = columnName;
   }

   public void setSensitiveLevel(final String sensitiveLevel) {
      this.sensitiveLevel = sensitiveLevel;
   }

   public void setDataAreaName(final String dataAreaName) {
      this.dataAreaName = dataAreaName;
   }

   public void setScopes(final List<Scope> scopes) {
      this.scopes = scopes;
   }

   public void setIsAuto(final String isAuto) {
      this.isAuto = isAuto;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TableInfo)) {
         return false;
      } else {
         TableInfo other = (TableInfo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$columnName = this.getColumnName();
            Object other$columnName = other.getColumnName();
            if (this$columnName == null) {
               if (other$columnName != null) {
                  return false;
               }
            } else if (!this$columnName.equals(other$columnName)) {
               return false;
            }

            Object this$sensitiveLevel = this.getSensitiveLevel();
            Object other$sensitiveLevel = other.getSensitiveLevel();
            if (this$sensitiveLevel == null) {
               if (other$sensitiveLevel != null) {
                  return false;
               }
            } else if (!this$sensitiveLevel.equals(other$sensitiveLevel)) {
               return false;
            }

            Object this$dataAreaName = this.getDataAreaName();
            Object other$dataAreaName = other.getDataAreaName();
            if (this$dataAreaName == null) {
               if (other$dataAreaName != null) {
                  return false;
               }
            } else if (!this$dataAreaName.equals(other$dataAreaName)) {
               return false;
            }

            Object this$scopes = this.getScopes();
            Object other$scopes = other.getScopes();
            if (this$scopes == null) {
               if (other$scopes != null) {
                  return false;
               }
            } else if (!this$scopes.equals(other$scopes)) {
               return false;
            }

            Object this$isAuto = this.getIsAuto();
            Object other$isAuto = other.getIsAuto();
            if (this$isAuto == null) {
               if (other$isAuto != null) {
                  return false;
               }
            } else if (!this$isAuto.equals(other$isAuto)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TableInfo;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $columnName = this.getColumnName();
      result = result * 59 + ($columnName == null ? 43 : $columnName.hashCode());
      Object $sensitiveLevel = this.getSensitiveLevel();
      result = result * 59 + ($sensitiveLevel == null ? 43 : $sensitiveLevel.hashCode());
      Object $dataAreaName = this.getDataAreaName();
      result = result * 59 + ($dataAreaName == null ? 43 : $dataAreaName.hashCode());
      Object $scopes = this.getScopes();
      result = result * 59 + ($scopes == null ? 43 : $scopes.hashCode());
      Object $isAuto = this.getIsAuto();
      result = result * 59 + ($isAuto == null ? 43 : $isAuto.hashCode());
      return result;
   }

   public String toString() {
      return "TableInfo(columnName=" + this.getColumnName() + ", sensitiveLevel=" + this.getSensitiveLevel() + ", dataAreaName=" + this.getDataAreaName() + ", scopes=" + this.getScopes() + ", isAuto=" + this.getIsAuto() + ")";
   }
}
